KNOCKPY(1)

NAME
knockpy - Python tool designed to enumerate subdomains on a target domain

DESCRIPTION
usage: knockpy [-h] [-v] [-w WORDLIST] [-r] [-c] [-j] domain

___________________________________________

knock subdomain scan knockpy v.4.0 Author: Gianni 'guelfoweb' Amato Github: https://github.com/guelfoweb/knock ___________________________________________

  positional arguments:

domain
    target to scan, like domain.com

  optional arguments:

-h, --help
    show this help message and exit

-v, --version
    show program's version number and exit

-w WORDLIST
    specific path to wordlist file

-r, --resolve
    resolve ip or domain name

-c, --csv
    save output in csv

-j, --json
    export full report in JSON

  example:

    knockpy domain.com knockpy domain.com -w wordlist.txt knockpy -r domain.com or IP knockpy -c domain.com knockpy -j domain.com